## qt6-virtualkeyboard 6.2.4+dfsg

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(virtualkeyboard)

qt_examples_build_end()
