=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(inputpanel)
add_subdirectory(inputpanelcontrols)
add_subdirectory(styles)
add_subdirectory(layoutfilesystem)
add_subdirectory(layoutresources)
# add_subdirectory(cmake) # special case
add_subdirectory(dictionarymanager)
