=== src/plugins/cerence/cerence-hwr/CMakeLists.txt ===
# Generated from cerence-hwr.pro.

add_subdirectory(plugin)
