=== debian/changelog ===
qt6-virtualkeyboard (6.4.2+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Jun 2023 10:24:11 -0300

qt6-virtualkeyboard (6.4.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Jun 2023 22:20:19 +0200

qt6-virtualkeyboard (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:45:52 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 16:37:15 -0300

qt6-virtualkeyboard (6.4.2+dfsg~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6virtualkeyboard6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:34:58 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:18 +0100

qt6-virtualkeyboard (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:55 +0100

qt6-virtualkeyboard (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6virtualkeyboard6-dev to qt6-virtualkeyboard-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:42:01 +0100

qt6-virtualkeyboard (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:17:56 +0100

qt6-virtualkeyboard (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015626).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Nov 2022 14:11:28 +0100

qt6-virtualkeyboard (6.4.0+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Adjust patches.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 14 Oct 2022 23:18:03 +0200

qt6-virtualkeyboard (6.3.1+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 15:33:57 -0300

qt6-virtualkeyboard (6.2.4+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 12:30:16 -0300
